'use strict';

const microtime = require('microtime');
const debug = require('debug');
const V = require('./index');

const validation = new V.Schema({

  items: V(Array).require().typeOf(String).oneOf(['asd', 'asd'])

  type: V(String).oneOf(['request', 'response']),
  data: V(Object).schema({
    id: V(Number),
    object: {
      a: {
        b: V(Number)
      }
    }
  })
});

const result = validation.validate({
  type: 'request',
  data: {
    id: 123,
    asd: 9,
    object: {
      a: {
        b: 0,
        g: 8
      }
    }
  }
}).cleanup();

console.log(JSON.stringify(result, 0, 2));